#
# spec file for package rubygem-rack-ssl
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rubygem-rack-ssl
Version:        1.4.1
Release:        7.1
%define mod_name rack-ssl
%define mod_full_name %{mod_name}-%{version}

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/josh/rack-ssl
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        Force SSL/TLS in your app
License:        MIT
Group:          Development/Languages/Ruby

%description
Rack middleware to force SSL/TLS.


%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="LICENSE README.md" \
  -f

%gem_packages

%changelog
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Mon Mar 24 2014 coolo@suse.com
- updated to version 1.4.1, no changelog
* Tue Mar 18 2014 coolo@suse.com
- updated to version 1.4.0, no changelog
* Sun Feb  3 2013 coolo@suse.com
- updated to version 1.3.3, no changelog
* Tue Jul 31 2012 jreidinger@suse.com
- use gem2rpm to get new provisions
* Fri Jun 29 2012 coolo@suse.com
- this requires just rack, not a specific version
* Fri Mar 23 2012 saschpe@suse.de
- Spec file cleanup:
  * Factory preparation
* Thu Jul 21 2011 mrueckert@suse.de
- initial package (1.3.2)
